Description

This concerns both HTML view and Atom feed.

Are concerned entries for repository changeset whose content is

multiline

first line is short

I can't find an example in Redmine.org development Activity timeline, because Jean-Philippe usualy does not commit with such a

changelog, so here is a example :

This commit fixes :

 - #13

 - #34

 In this case, truncate would return a truncated string, no matter if it contains newlines. This multilines string end up raw, in XML

<entry><title> </title> section of the feed, and in the  <a href="/repositories/revision/..."> section of the Html activity page. While the

later seem to be properly rendered by web engines, the former makes many feedreaders choke and display erroneous data, mixing

fields. I'm not sure what the RFC says about it, but I'm sure most newsreaders are not designed to handle multilines titles.

Attached patch is one working solution and works on my instance. It uses a helper, very similar to truncate, but ensuring truncated

string is NOT multiline. Feel free to comment.

Related issues:

Related to Redmine - Feature #34025: Raise the maximum length of the title el... Closed

Associated revisions

Revision 1491 - 2008-06-04 20:13 - Jean-Philippe Lang

Fixed: changesets titles should not be multiline in atom feeds (#1356).

History

#1 - 2008-06-04 00:14 - Jean-Philippe Lang

An other solution would be to simply replace \n with a space.

What do you think ?

#2 - 2008-06-04 08:53 - Paul Rivier

Jean-Philippe, this would fix the problem equally well, it is only a matter of taste. Mine is that a space is a char already used very often, so I find it

hard to guess which spaces are genuine and which are not. How about " \ " or " / " or " ^ " or " - " or " > " ?

In any case, that will be a matter of taste and fix the problem, so just pick up the one you prefer. Ask for another patch if you want.

#3 - 2008-06-04 20:12 - Jean-Philippe Lang

- Status changed from New to Closed

Paul, your patch should define format_truncate_single_line in ApplicationHelper since atom feeds may be rendered from any controller (not just

ProjectsController).

Anyway, fix is applied in r1491 usings spaces.

#4 - 2022-03-23 14:45 - Holger Just

- Related to Feature #34025: Raise the maximum length of the title element in the Atom feed from 100 to 300 characters added
https://www.redmine.org/projects/redmine/repository/svn/revisions/1491
